<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>NummerReeks App | Collecties</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.search.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const SEARCH_REQUEST = ~%searchRequest%;
		const SELECTED_INSTITUTE = "~%js:selectedInstitute%";
		const PERMISSION = '~%permission%';

		function newCollection() {
			const query = "/?instituteId=" + SEARCH_REQUEST.instituteId
				+ "&instituteCode=" + SELECTED_INSTITUTE;
			action("new" + query);
		}

		function getPrefix(collectionCode) {
			if(collectionCode.length === 0) {
				return SELECTED_INSTITUTE + "(n.v.t.)";
			}
			return SELECTED_INSTITUTE + "." + collectionCode;
		}

		function deleteOrDeactivateCollection(id,code,active,requestCount) {
			deleteOrDeactivate("Prefix", id, getPrefix(code), active, requestCount);
		}
	</script>
</head>

<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%
	
	<h1>Collecties</h1>
	
	~%%include:logo:/html/include/Logo.html%
	
	<div class="left" id="w2">
		

		<div  id="list-buttons-container">
			<button
				id="create-button"
				class="btn btn-primary"
				onclick="newCollection()"
				disabled="disabled"
			>
				Nieuwe Collectie
			</button>
		</div>
		
		<div style="margin:0 0 5px 0;text-align:center;width:100%">
			<span style="padding-right:10px;"><b><label for="instituteId">Instituut</label>:</b></span>
			<select id="instituteId" name="instituteId">~%instituteListBox%</select>
		</div>

		<div id="extra-search-options">&nbsp;</div>

		<div>
			<table
				class="row-border hover order-column"
				cellspacing="0"
				width="100%">
				<thead>
					<tr>
						<th nowrap class="th-main" data-sortcol="COLLECTION_NAME">Naam</th>
						<th nowrap class="th-main" data-sortcol="COLLECTION_CODE">Collectie Code</th>
						<th nowrap
							class="th-main"
							onclick="return false;"
							data-toggle="tooltip"
							title="Prefix is een afgeleide waarde waar je niet op kunt sorteren"
						>Prefix</th>
						<th nowrap class="th-main" data-sortcol="DESCRIPTION">Omschrijving</th>
						<th nowrap class="th-main" data-sortcol="REQUEST_COUNT"># Verzoeken</th>
						<th nowrap class="th-main" data-sortcol="NUMBER_COUNT"># Nummers</th>
						<th nowrap class="th-main" data-sortcol="MAX_NUMBER">Laatste Nr.</th>
						<th nowrap class="th-main" data-sortcol="ACTIVE">Actief</th>
						<th nowrap>&nbsp;</th> <!-- show requests -->
						<th nowrap>&nbsp;</th> <!-- edit -->
						<th nowrap>&nbsp;</th> <!-- delete -->
					</tr>
				</thead>

				<tbody>
					~%%begin:mainTable%
					<tr class="main-table-row" data-request-count="~%requestCount%">
						<td nowrap style="width:30%">~%html:collectionName%</td>
						<td nowrap name="collection-code-column">~%nvt:collectionCode%</td>
						<td nowrap class="prefix-column">~%prefix%</td>
						<td nowrap style="width:50%;">~%html:description%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%requestCount%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%numberCount%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%maxNumber%</td>
						<td nowrap class="active-column">~%active%</td>
						<td class="button-container">
							<button
								class="btn btn-primary show-requests-button"
								data-toggle="tooltip"
								title="Toon nummerreeksen voor ~%prefix%"
								style="width: 3em; height: 1.8em;"
								onclick="showRequests(~%collectionId%,'~%js:prefix%',SELECTED_INSTITUTE)"
							>
								~%%include:searchIcon:/svg/search.svg%
							</button>
						</td>
						<td class="button-container">
							<button
								class="btn btn-primary"
								data-toggle="tooltip"
								title="Collectie bewerken"
								style="width: 3em; height: 1.8em;"
								onclick="showEditPage(~%collectionId%);"
							>
								~%%include:editIcon:/svg/pencil-square.svg%
							</button>
						</td>
						<td class="button-container">
							<button
								class="btn btn-primary delete-button"
								data-toggle="tooltip"
								data-active="~%active%"
								style="width: 3em; height: 1.8em;"
								onclick="deleteOrDeactivateCollection(~%collectionId%,'~%js:collectionCode%',~%active%,~%requestCount%);"
							>
								<span style="display:none;">~%%include:deleteIcon:/svg/trash.svg%</span>
								<span style="display:none;">~%%include:deactivateIcon:/svg/archive.svg%</span>
							</button>
						</td>
					</tr>
					~%%end:mainTable%
				</tbody>
			</table>
			
			<div id="row-count-display"></div>

		</div>

~%%include:/html/include/PageButtons.html%
		
	</div>
	
~%%include:bsDialog:/html/include/BSDialog.html%

<span id="sortAsc" style="display:none;">&nbsp;~%%include:sortAscIcon:/svg/caret-up-fill.svg%</span>
<span id="sortDesc" style="display:none;">&nbsp;~%%include:sortDescIcon:/svg/caret-down-fill.svg%</span>

<script>	
$("document").ready(function() {

	if(SELECTED_INSTITUTE !== "") {
		$("#create-button")
			.text("Nieuwe " + SELECTED_INSTITUTE + " Collectie")
			.prop("disabled", false);
	}
	
	$("select[name='instituteId']")
		.addClass("big-list-box")
		.addClass("search-input")
		.change(searchSimple);
	
	initListPage();
	initAdminListPage("Collectie");
});
</script>

</body>
</html>
